
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800;900&family=Roboto:ital,wght@0,100;1,100&display=swap");

* {
  margin: 0;
  padding: 0;
  scroll-behavior: smooth;
  user-select: none;
}
body {
  font-family: "Poppins", sans-serif;
}

/* Navigation Bar Desktop*/
nav {
  z-index: 1000;
  position: fixed;
  align-items: center;
  justify-content: space-between;
  display: flex;
  background-color: rgb(255, 255, 255);
  height: 5.5rem;
  width: 100%;
}
.logo {
  padding: 0 5rem;
  color: black;
  font-size: 2rem;
  font-weight: 700;
  text-decoration: none;
}
nav li {
  padding: 0 2rem;
  display: flex;
  gap: 2rem;
  list-style: none;
}
nav li a {
  font-weight: 600;
  color: black;
  text-decoration: none;
  transition: 0.3s;
}

nav li a:hover{
  color: #eeb800;
}

nav li span {
  color: rgb(248, 195, 1);
  padding: 3px 5px ;
  transition: 0.5s;
}

nav li span:hover{
  background-color: #eeb800;
  color: white;
  border-radius: 5px;
}

/* Navigation Bar Mobile  */
#mobile-nav {
  justify-content: space-between;
  display: none;
}
.hamburger {
  margin-right: 1.5rem;
  width: 50%;
  display: flex;
  flex-direction: column;
  align-items: end;
  gap: 5px;
  cursor: pointer;
}
.line {
  transition: 300ms;
}
.hamburger.active {
  width: 50%;
  flex-direction: column;
  align-items: end;
  gap: 5px;
  cursor: pointer;
}

.hamburger.active .line:first-child {
  transform: translate(0px, 7px);
}
.hamburger.active .line:last-child {
  transform: translate(0px, -7px);
}

.line {
  width: 25px;
  border: 1px solid black;
}
.menu {
  gap: 3rem;
  padding-top: 10rem;
  display: flex;
  flex-direction: column;
  z-index: 1000000;
  column-gap: 10rem;
  text-align: center;
  position: fixed;
  background: rgba(255, 255, 255, 0.562);
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
  height: 100%;
  width: 13rem;
  position: fixed;
  right: 0;
  transform: translateX(1000px);
  transition: all 300ms ease-in-out;
}
.menu.active {
  transform: translateX(0px);
}

.menu li {
  list-style: none;
}

.menu li a {
  padding: 0px 2rem;
  text-decoration: none;
  color: rgb(0, 0, 0);
  font-size: 1.5rem;
  font-weight: 500;
  transition: all 300ms ease-in-out;
  border-radius: 2em;
}

/* Home */
#home {
  min-height: 100vh;
  max-height: fit-content;
  display: flex;
  flex-wrap: wrap;
  background-attachment: local;
  background-size: contain;
  background-repeat: no-repeat;
  background-image: url(Assets/background.png);
  background-position: right 10vh;
  background-color: rgb(246, 197, 0);
}
.home-txt {
  display: flex;
  flex-direction: column;
  margin-top: 20%;
  margin-left: 10%;
  width: fit-content;
}
/* .home-txt {
  display: flex;
  flex-direction: column;
  margin-top: 8%;
  margin-left: 10%;
  width: fit-content;
} */
.home-txt button {
  color: rgb(255, 255, 255);
  margin-top: 2rem;
  padding: 1rem 1rem;
  font-size: 25px;
  font-weight: 700;
  background-color: rgb(255, 0, 0);
  border: none;
  border-radius: 2rem;
  height: 4rem;
  width: fit-content;
  cursor: pointer;
  transition: 300ms;
}

.home-txt button:hover{
  background-color: #f9f9f9;
  color:#eeb800 ;
}

.icon {
  margin-top: 1.3rem;
  width: 3rem;
  height: 2.3rem;
  transition: 300ms;
}

.icon :hover{
  fill: #f8f8f8;
}

.title {
  font-size: 65px;
}

.title span {
  color: rgb(255, 255, 255);
}

.text {
  font-size: 20px;
  font-weight: 500;
}

.text span {
  font-weight: 800;
}

/* BENEFIT */
#benefit{
  padding-top: 3rem;
  text-align: center;
  background-color: #ffffff;
  margin-bottom: 1rem;
}
#benefit-card-wrapper{
  padding: 5rem 5%;
  align-items: center;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  row-gap: 5.3rem;
}
.benefit-card{
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  /* background-color: #d9e0d9; */
  width: 25rem;
  height: 40rem;
}
.sub-benefit-card{
  gap: 1rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  height: 45%;
  /* background-color: rgb(206, 197, 197); */
}

.benefit-icon{
  height: 4rem;
}

.paket{
  margin: 4rem 0;
  width: 100%;
  height: fit-content;
}
.paket img{
  height: 40rem;
  width: 50rem;
}

/* QUESTION */
#question {
  text-align: center;
  background-color: rgba(253, 242, 212, 1);
  padding: 2rem 5rem;
  height: fit-content;
}
.title2 {
  text-align: center;
  font-size: 50px;
  margin-bottom: 2.5rem;
}
.title2 span {
  color: rgba(243, 183, 0, 1);
}
/* ABOUT */



#about {
  /* padding-top: 5rem; */

  height: fit-content;
  display: flex;
  justify-content: center;
  /* flex-wrap: wrap; */
  background-color:  rgb(255, 214, 48);
}

#logo {
  width: 100%;
  height: fit-content;
  display: flex;
  justify-content: baseline;
}
#logo img{
  height: 15rem;
}

#about h1 span {
  color: rgb(255, 255, 255);
}

.about-txt-container {
  width: 90%;
  /* padding-top: 3%; */
  display: flex;
  align-items: center;
}

.about-txt-container .title2{
  padding-top: 2rem;
  text-align: left;
}
.about-txt-container .text{
  padding-left: 3rem;
  text-align: left;
}


/* COACH */
#coach {
  padding: 4rem 10% ;
  min-height: 100vh;
  max-height: fit-content;
  background-color: #ffffff;
}
#coach .text{
  text-align: center;
}
.card-container {
  margin-top: 5rem;
  justify-content: center;
  padding: 0 2rem;
  display: flex;
  flex-wrap: wrap;
  gap: 8rem;
}
.coach-card {
  display: flex;
  flex-direction: column;
  width: 400px;
  height: 508px;
  background-color: rgba(238, 184, 0, 1);
}
.card-img1 {
  background-image: url(Assets/Lyla.jpg);
  background-size: cover;
  background-color: aliceblue;
  height: 80%;
  width: 100%;
}
.card-img2 {
  background-image: url(Assets/AGUS.jpg);
  background-size: cover;
  background-color: aliceblue;
  height: 80%;
  width: 100%;
}
.card-img3 {
  background-image: url(Assets/IVAN.jpg);
  background-size: cover;
  background-color: aliceblue;
  height: 80%;
  width: 100%;
}
.card-txt {
  margin-top: 2rem;
  display: flex;
  justify-content: center;
  text-align: center;
}
.card-txt h2 {
  font-weight: 700;
  color: white;
}

/* swiper */
#testimoni-swiper{
  padding: 5rem 0;
}
.swiper {
  background-color: rgb(255, 255, 255);
  width: 50%;
  height: 28rem;
  border-radius: 1rem;
}

.swiper-slide {
  text-align: center;
  font-size: 18px;
  background: #ffffff5e;
  display: flex;
  justify-content: center;
  align-items: center;
}
.swiper-slide img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit:contain;
}


.swiper-pagination > .swiper-pagination-bullet {
  opacity: 1;
  border:#eeb6006a solid 1px;
  background-color: transparent;
}
.swiper-pagination > .swiper-pagination-bullet-active {
  background-color:#eeb800;
}

.swiper-button-next, .swiper-button-prev {
  position: absolute;
  top: 50%;
  width: calc(var(--swiper-navigation-size)/ 44 * 27);
  height: var(--swiper-navigation-size);
  margin-top: calc(0px - (var(--swiper-navigation-size)/ 2));
  z-index: 10;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  color: var(--swiper-navigation-color,var(--swiper-theme-color));
}
:root {
  --swiper-navigation-color: #eeb800;
}

/*  */

/* Kelas */

#kelas {
  display: flex;
  flex-wrap:wrap-reverse;
  align-items:center;
  column-gap: 15rem;
  row-gap: 0.3rem;
  padding: 2rem 5rem 0;
  min-height: 110vh;
  max-height: fit-content;
  background-color: rgb(255, 255, 255);
  margin-bottom: 5rem;
}

.kelas-img-premium30{
  background-color: rgb(255, 255, 255);
  width: 40%;
  height: 33rem;
  border-radius: 1rem;
  background-image:url("/Assets/cover\ premium\ 30.jpg");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
}
.kelas-img-basic{
  background-color: rgb(255, 255, 255);
  width: 40%;
  height: 33rem;
  border-radius: 1rem;
  background-image:url("/Assets/cover\ basic.jpg");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
}
.kelas-img-advance{
  background-color: rgb(255, 255, 255);
  width: 40%;
  height: 33rem;
  border-radius: 1rem;
  background-image:url("/Assets/cover\ advance.jpg");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
}

#kelas .text {
  text-align: center;
}
.title3{
  color: #000000;
  text-decoration: underline;
  text-underline-offset: 1rem;
  text-decoration-color: #000000;
  margin-top: 3rem;
  font-size: 45px;
  text-align: center;
}
.basic{
  margin-top: 4rem;
  justify-content: center;
  display: flex;
  height: fit-content;
  flex-wrap: wrap;
  gap: 3rem;
  width: 100%;
}
.basic-card1{
    background-image: url(Assets/basic\ \(1\).jpeg);
    background-repeat: no-repeat;
    background-size: cover;
    border-radius: 2em;
    width: 30rem;
    height: 30rem;
}
.basic-card2{
    background-image: url(Assets/basic\ \(2\).jpeg);
    background-repeat: no-repeat;
    background-size: cover;
    border-radius: 2em;
    width: 30rem;
    height: 30rem;
}
.basic-card3{
    background-image: url(Assets/basic\ \(3\).jpeg);
    background-repeat: no-repeat;
    background-size: cover;
    border-radius: 2em;
    width: 30rem;
    height: 30rem;
}
.basic-card4{
    background-image: url(Assets/basic\ \(4\).jpeg);
    background-repeat: no-repeat;
    background-size: cover;
    border-radius: 2em;
    width: 30rem;
    height: 30rem;
}
.basic-card5{
    background-image: url(Assets/basic\ \(5\).jpeg);
    background-repeat: no-repeat;
    background-size: cover;
    border-radius: 2em;
    width: 30rem;
    height: 30rem;
}
.basic-card6{
    background-image: url(Assets/basic\ \(6\).jpeg);
    background-repeat: no-repeat;
    background-size: cover;
    border-radius: 2em;
    width: 30rem;
    height: 30rem;
}
.basic-card7{
    background-image: url(Assets/basic\ \(7\).jpeg);
    background-repeat: no-repeat;
    background-size: cover;
    border-radius: 2em;
    width: 30rem;
    height: 30rem;
}
.basic-card8{
    background-image: url(Assets/basic\ \(8\).jpeg);
    background-repeat: no-repeat;
    background-size: cover;
    border-radius: 2em;
    width: 30rem;
    height: 30rem;
}
.basic-card9{
    background-image: url(Assets/basic\ \(9\).jpeg);
    background-repeat: no-repeat;
    background-size: cover;
    border-radius: 2em;
    width: 30rem;
    height: 30rem;
}
.basic-card10{
    background-image: url(Assets/basic\ \(10\).jpeg);
    background-repeat: no-repeat;
    background-size: cover;
    border-radius: 2em;
    width: 30rem;
    height: 30rem;
}
.basic-button{
  gap: 1rem;
  text-align: center;
  flex-direction: column;
  display: flex;
  justify-content: center;
}
.basic-button button{
  background-color: rgb(255, 0, 0);
  color: rgb(255, 255, 255);
  margin-top: 3rem;
  padding: 1rem 1rem;
  font-size: 30px;
  font-weight: 700;
  border: none;
  border-radius: 2rem;
  min-height: 4rem;
  max-height: fit-content;
  width: fit-content;
  cursor: pointer;
  border-radius: 2em;
  border: none;
}
.advance-card1{
  background-image: url(Assets/advance\ \(1\).jpeg);
  background-repeat: no-repeat;
  background-size: cover;
  border-radius: 2em;
  width: 30rem;
  height: 30rem;
}
.advance-card2{
  background-image: url(Assets/advance\ \(2\).jpeg);
  background-repeat: no-repeat;
  background-size: cover;
  border-radius: 2em;
  width: 30rem;
  height: 30rem;
}
.advance-card3{
  background-image: url(Assets/advance\ \(3\).jpeg);
  background-repeat: no-repeat;
  background-size: cover;
  border-radius: 2em;
  width: 30rem;
  height: 30rem;
}
.advance-card4{
  background-image: url(Assets/advance\ \(4\).jpeg);
  background-repeat: no-repeat;
  background-size: cover;
  border-radius: 2em;
  width: 30rem;
  height: 30rem;
}
.advance-card5{
  background-image: url(Assets/advance\ \(5\).jpeg);
  background-repeat: no-repeat;
  background-size: cover;
  border-radius: 2em;
  width: 30rem;
  height: 30rem;
}
.advance-card6{
  background-image: url(Assets/advance\ \(6\).jpeg);
  background-repeat: no-repeat;
  background-size: cover;
  border-radius: 2em;
  width: 30rem;
  height: 30rem;
}
.advance-card7{
  background-image: url(Assets/advance\ \(7\).jpeg);
  background-repeat: no-repeat;
  background-size: cover;
  border-radius: 2em;
  width: 30rem;
  height: 30rem;
}
.advance-card8{
  background-image: url(Assets/advance\ \(8\).jpeg);
  background-repeat: no-repeat;
  background-size: cover;
  border-radius: 2em;
  width: 30rem;
  height: 30rem;
}
.advance-card9{
  background-image: url(Assets/advance\ \(9\).jpeg);
  background-repeat: no-repeat;
  background-size: cover;
  border-radius: 2em;
  width: 30rem;
  height: 30rem;
}
.advance-card10{
  background-image: url(Assets/advance\ \(10\).jpeg);
  background-repeat: no-repeat;
  background-size: cover;
  border-radius: 2em;
  width: 30rem;
  height: 30rem;
}
.advance-card1{
  background-image: url(Assets/advance\ \(1\).jpeg);
  background-repeat: no-repeat;
  background-size: cover;
  border-radius: 2em;
  width: 30rem;
  height: 30rem;
}
.kelas-card-container {
  margin-top: 3rem;
  width: 100%;
  height: fit-content;
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 20rem;
}
.kelas-card {
  display: flex;
  flex-direction: column;
  padding-top: 1.3rem;
  text-align: center;
  background-color: rgb(255, 255, 255);
  height: fit-content;
  width: 514px;
  border-radius: 2rem;
}
.kelas-title {
  width: 100%;
  height: 38%;
}
.kelas-card h1 {
  font-size: 40px;
  font-weight: 500;
}
.kelas-card h3 {
  font-weight: 700;
}
.kelas-card h2 {
  font-size: 40px;
  color: rgb(255, 0, 0);
}
.card-list {
  font-weight: 500;
  font-size: 18px;
  padding: 2rem 4rem;
  text-align: left;
  width: fit-content;
  height: 50%;
}
.card-list span{
  font-weight: 700;
}
.card-button {
  padding-bottom: 2rem;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 25%;
}

.card-button button {
  border: none;
  border-radius: 2rem;
  background-color: rgb(255, 0, 0);
  color: rgb(255, 255, 255);
  width: 302px;
  height: 5rem;
  outline: none;
  font-weight: 700;
  font-size: 25px;
  cursor: pointer;
  transition: 300ms;
}

.card-button button:hover{
  background-color: #eeb800;
  color:#ffffff ;
}

.cta-button{
  width: 100%;
  height: fit-content;
  display: flex;
  justify-content: center;
  padding: 1rem 0;
  margin-bottom: 7rem;
  margin-top: 3rem;
}

.cta-button button{
  border: none;
  border-radius: 2rem;
  background-color: rgb(255, 0, 0);
  color: rgb(255, 255, 255);
  width: 100%;
  height: 5rem;
  outline: none;
  font-weight: 700;
  font-size: 25px;
  cursor: pointer;
  padding: 0 1rem;
  transition: 300ms;
}

.cta-button button:hover{
    background-color: #eeb800;
    color:#ffffff ;
}

/* Testimoni */
#testimoni {
  padding: 5rem 5rem 0;
  min-height: 120vh;
  max-height: fit-content;
  background-color: rgba(253, 242, 212, 1);
}
#testimoni .text {
  text-align: center;
}
.testimoni-card-container {
  padding-top: 4rem;
  width: 100%;
  justify-content: center;
  gap: 5rem;
  display: flex;
  flex-wrap: wrap;
}
.testimoni-card1 {
  background-image: url(Assets/apakatamereka\ \(1\).jpeg);
  background-repeat: no-repeat;
  background-size: cover;
  border-radius: 2em;
  width: 30rem;
  height: 30rem;
}
.testimoni-card2 {
  background-image: url(Assets/apakatamereka\ \(2\).jpeg);
  background-repeat: no-repeat;
  background-size: cover;
  border-radius: 2em;
  width: 30rem;
  height: 30rem;
}
.testimoni-card3 {
  background-image: url(Assets/apakatamereka\ \(3\).jpeg);
  background-repeat: no-repeat;
  background-size: cover;
  border-radius: 2em;
  width: 30rem;
  height: 30rem;
}
.testimoni-card4 {
  background-image: url(Assets/apakatamereka\ \(4\).jpeg);
  background-repeat: no-repeat;
  background-size: cover;
  border-radius: 2em;
  width: 30rem;
  height: 30rem;
}
.testimoni-card5 {
  background-image: url(Assets/apakatamereka\ \(5\).jpeg);
  background-repeat: no-repeat;
  background-size: cover;
  border-radius: 2em;
  width: 30rem;
  height: 30rem;
}
.testimoni-card6 {
  background-image: url(Assets/apakatamereka\ \(6\).jpeg);
  background-repeat: no-repeat;
  background-size: cover;
  border-radius: 2em;
  width: 30rem;
  height: 30rem;
}
.testimoni-card7 {
  background-image: url(Assets/apakatamereka\ \(7\).jpeg);
  background-repeat: no-repeat;
  background-size: cover;
  border-radius: 2em;
  width: 30rem;
  height: 30rem;
}
.testimoni-card8 {
  background-image: url(Assets/apakatamereka\ \(8\).jpeg);
  background-repeat: no-repeat;
  background-size: cover;
  border-radius: 2em;
  width: 30rem;
  height: 30rem;
}
.testimoni-card9 {
  background-image: url(Assets/apakatamereka\ \(9\).jpeg);
  background-repeat: no-repeat;
  background-size: cover;
  border-radius: 2em;
  width: 30rem;
  height: 30rem;
}
.testimoni-card10 {
  background-image: url(Assets/apakatamereka\ \(10\).jpeg);
  background-repeat: no-repeat;
  background-size: cover;
  border-radius: 2em;
  width: 30rem;
  height: 30rem;
}
.testimoni-chat {
  margin-top: 3rem;
  width: 100%;
  justify-content: space-around;
  display: flex;
  flex-wrap: wrap;
  row-gap: 2rem;
}
.chat1 {
  overflow: hidden;
  height: 12rem;
}
.chat2 {
  overflow: hidden;
  height: 18rem;
}
.chat3 {
  overflow: hidden;
  height: 18rem;
}
.chat4 {
  overflow: hidden;
  height: 22rem;
}

/* Contact */
#contact {
  padding-top: 4rem;
  background-color: #f8f8f8;
  min-height: 50vh;
}
#contact .text{
  text-align: center;
}
#contact .title2{
  margin-bottom: 1rem;
  padding: 0 3rem;
}
.contact-container {
  margin-top: 4rem;
  padding-bottom: 8rem;
  display: flex;
  flex-wrap: wrap;
  /* flex-direction: column; */
  width: 100%;
  height: fit-content;
  justify-content: center;
  align-items: center;
  gap: 5rem;
}
.float {
  position: fixed;
  width: 70px;
  height: 70px;
  bottom: 30px;
  right: 30px;
  background-color: #f8f8f8;
  color: #eeb800;
  border-radius: 50px;
  text-align: center;
  font-size: 40px;
  box-shadow: 2px 2px 3px #eeb800;
  z-index: 100;
}
.contact-button{
  padding: 0.8rem 3rem;
  align-items: center;
  display: flex;
  justify-content: center;
  align-content: center;
  background-color: #1add13;
  border: none;
  border-radius: 2em;
  color: #f8f8f8;
  font-size: 30px; 
  transition: 300ms;
}
.contact-button{
  cursor: pointer;
}

.contact-button:hover{
  background-color: #eeb800;
  padding-top: 1.5rem;
  padding-bottom: 1.5rem;
}
.contact-container a{
  text-decoration: none;
}
.icon1{
 margin-right: 0.4rem;
 fill: #f8f8f8; 
}

.my-float {
  margin-top: 16px;
}
/* FOOTER */

#footer {
  height: 2rem;
  margin: 0.3rem 0;
  font-weight: 600;
  text-align: center;
}
 /* Program */

#program{
  margin:7rem 0;
}

#program .swiper {
  width: 100%;
  padding-top: 50px;
  padding-bottom: 50px;
}

#program .swiper-slide {
  background-position: center;
  background-size: cover;
  width: 400px;
  height: 400px;
}

#program .swiper-slide img {
  display: block;
  width: 100%;
}

/* QNA */

#qna{
  display: flex;
  flex-direction: column;
  width: 100%;
  justify-content: center;
  align-items: center;
}

.faq-container {
  width: 600px;
  background-color: #fff;
  border-radius: 10px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.faq-item {
  padding: 20px;
  border-bottom: 1px solid #e0e0e0;
  cursor: pointer;
  transition: background-color 0.3s ease-in-out;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.faq-item:last-child {
  border-bottom: none;
}

.faq-question {
  font-size: 18px;
  font-weight: 700;
  padding-bottom: 3px;
  padding-top: 3px;
}


.faq-answer {
  font-size: 16px;
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.3s ease-in-out;
  text-align: justify;
  padding-left: 10px;
  padding-right: 10px;
}

.faq-answer.active {
  border-bottom: 1px solid #e0e0e0;
}

.icon-container i {
  font-size: 16px;
  cursor: pointer;
  transition: transform 0.3s ease-in-out;
}

.icon-container i.active {
  transform: rotate(90deg);
}

/* Testimonial */
#testimonial{
  padding: 7rem 0;
}
#testimonial .swiper {
  width: 100%;
  padding-top: 50px;
  padding-bottom: 50px;
}

#testimonial .swiper-slide {
  background-position: center;
  background-size: cover;
  width: 400px;
  height: 400px;
}

#testimonial .swiper-slide img {
  display: block;
  width: 100%;
}